#
# Table structure for table 'tx_datecbooking_domain_model_resource'
#
CREATE TABLE tx_datecbooking_domain_model_resource (

	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	
	name VARCHAR(255) DEFAULT '' NOT NULL,
	text text NOT NULL,
	pages tinytext,
	auto_confirm_reservations tinyint(4) unsigned DEFAULT '0' NOT NULL,
	

	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
	starttime int(11) unsigned DEFAULT '0' NOT NULL,
	endtime int(11) unsigned DEFAULT '0' NOT NULL,	
	deleted tinyint(4) unsigned DEFAULT '0' NOT NULL,
	hidden tinyint(4) unsigned DEFAULT '0' NOT NULL,
	sorting int(11) unsigned DEFAULT '0' NOT NULL,

	PRIMARY KEY (uid),
	KEY parent (pid)

);
#
# Table structure for table 'tx_datecbooking_domain_model_reservation'
#
CREATE TABLE tx_datecbooking_domain_model_reservation (

	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	
	resource int(11) DEFAULT '0' NOT NULL,
	contact int(11) DEFAULT '0' NOT NULL,
	occupancy_from int(11) unsigned DEFAULT '0' NOT NULL,
	occupancy_to int(11) unsigned DEFAULT '0' NOT NULL,
	text text NOT NULL,
	bill_street VARCHAR(255) DEFAULT '' NOT NULL,
	bill_zip VARCHAR(255) DEFAULT '' NOT NULL,
	bill_city VARCHAR(255) DEFAULT '' NOT NULL,
	confirmed tinyint(4) unsigned DEFAULT '0' NOT NULL,	

	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
	deleted tinyint(4) unsigned DEFAULT '0' NOT NULL,
	hidden tinyint(4) unsigned DEFAULT '0' NOT NULL,

	PRIMARY KEY (uid),
	KEY parent (pid)

);